import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number } from '@storybook/addon-knobs';
import readme from './readme.md';

<Meta
  title="Navigation/digi-navigation-pagination"
  parameters={{
    actions: {
      handles: ['afOnPageChange'],
    },
  }}
  decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is a default navigation pagination

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <p style="text-align:center;">
        Lorem ipsum dolor sit amet <a href="/">innan navigationen</a>
      </p>
      <digi-navigation-pagination
        af-total-pages="${number('Amount of pages', 6)}"
        af-init-active-page="${number('Init active page', 1)}"
        af-current-result-start="1"
        af-current-result-end="25"
        af-total-results="${number('Total results', 340)}"
        af-result-name="annonser"></digi-navigation-pagination>
      <p style="text-align:center;">
        Lorem ipsum dolor sit amet <a href="/">efter navigationen</a>
      </p>
    `}
  </Story>
</Canvas>
